Loading

摘要: 题意:给定一个二分图,左部 \(n-1\) 个点,右部 \(n\) 个点。求出一组匹配,每条边可以匹配多次,要求每个左部点匹配 \(n\) 次,每个右部点匹配 \(n-1\) 次。 直接跑网络流复杂度不太对劲,考虑 Hall 定理:对于 \(S\subset L\),有 \(n|S|\le (n-1 阅读全文
posted @ 2026-04-29 16:24 complexor 阅读(26) 评论(0) 推荐(0)
摘要: 弱化版:CF1284G。 注意到网格图是二分图,则原题可以转化为:给定一张二分图,求出一棵生成树,使得所有叶子都在二分图的同一侧。 不妨设二分图两侧点集分别为 \(L,R(|L|\le |R|)\)。 当 \(|L|=|R|\) 时,假设叶子都在 \(R\),则 \(L\) 中每个点在最后的生成树中 阅读全文
posted @ 2026-04-29 14:58 complexor 阅读(21) 评论(0) 推荐(0)